
QGIS Application - Bug report #9254

Vector points style: "outline width" = 0 still show the outline

2013-12-27 12:08 AM - Noone Noone

Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17870

Description

Per default the map style symbolizers/icons have an black outline to make them easy to recognize even on bright backgrounds. If the user

want to disable this outline, this is currently not possible in the map style dialog. The outline width is 0 and doesn't apply.

A workaround is to change the outline color to alpha=0, but this is IMHO to difficult for new users :/

History

#1 - 2013-12-27 12:45 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

symbol layers -> simple fill -> border style -> no pen

#2 - 2013-12-27 02:28 AM - Noone Noone

- File qgis_point_symbol_style.png added

Call me stupid, but where is the option hidden? 
#3 - 2013-12-28 03:54 AM - Giovanni Manghi

- Resolution deleted (invalid)

- Subject changed from Disablingsymbolizer outline impossible to Vector points style: "outline width" = 0 still show the outline

- Category changed from GUI to Symbology

- Status changed from Closed to Reopened

noone noone wrote:

Call me stupid, but where is the option hidden?

as you didn't specified I supposed you were speaking of polygons.

I agree that for points "outline width" equal to 0 should mean that no outline has to be drawn.

#4 - 2013-12-28 05:00 AM - Noone Noone

Sry was my fault, thank you for reopening!

#5 - 2013-12-28 05:52 PM - Alvaro Huarte

- File OutlineStyle.jpg added

Hi, what do you think about append outline style ?
I think that I can implement it

#6 - 2013-12-29 12:52 AM - Noone Noone

Looks very good to me :)

I hope that I will have the time to have some more thoughts about the [[usability]] of the style manager and maybe improve it. But your suggestion fits

perfectly!

#7 - 2013-12-29 03:55 PM - Alvaro Huarte

- Assignee set to Alvaro Huarte

#8 - 2013-12-29 06:03 PM - Alvaro Huarte

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes

I propose this pull request:

https://github.com/qgis/QGIS/pull/1046

It adds OutlineStyle support to simple and ellipse markers
#9 - 2014-01-12 04:13 AM - Alvaro Huarte

- Status changed from Reopened to Resolved

The pull request was merged :-)

https://github.com/qgis/QGIS/pull/1046

#10 - 2014-01-12 04:55 AM - Noone Noone

Great work, thanks everybody :)

#11 - 2014-01-12 05:01 AM - Matthias Kuhn

- Status changed from Resolved to Closed

Files

qgis_point_symbol_style.png 107 KB 2013-12-27 Noone Noone

OutlineStyle.jpg 73.6 KB 2013-12-28 Alvaro Huarte
